task Quantification {
    String sample_ID
    File in_sam

    String cluster_config
    String disk_size


    command <<<
        set -o pipefail
        set -e

    echo -e "ID.miRNA\tReadCount" > ${sample_ID}.matureMiR.readCount
    cat ${in_sam} | grep -v '^@'  | awk '($2==0)' | awk '{a[$3]++}END{for(i in a){printf "%s\t%d\n",i,a[i]}}' | sort >> ${sample_ID}.matureMiR.readCount

    >>>

    runtime {
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File out_readCount="${sample_ID}.matureMiR.readCount"
    }
}
